$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('change', '.godown', getrcstk);
//    $("body").on("focus", ".qty", autoadd);
    $("body").on("click", "#hedit", gfocus);

//    $('#submit').hide();
//    $('#cancel').hide();

    $('#hedit').click(function () {
        $("#ssubmit").hide();
        $("#scancel").hide();

    });

    function gfocus() {
        $('.godown').focus();
    }

//    function autoadd() {
//        if ($(this).closest('tr').is(":last-child")) {
//            AddRows();
//        }
//    }

    function getrcstk() {
        var godown = $('.godown').val();
        if (godown != '') {
            $.post('get_oppack.php', {godown: godown}, function (data) {
            }).success(function (data) {
                $(".tbody").html(data);
                if ($("#ssubmit").css('display', 'none')) {
                    $("#ssubmit").show();
                    $("#scancel").show();
                } else {
                    $("#ssubmit").hide();
                    $("#scancel").hide();
                }
            });

            var ctr = $("#items").val();
            $.post('get_opctrpack.php', {godown: godown, ctr: ctr}, function (data1) {
                $("#items").val(data1);
            });
        }
    }





    $('#addnew').click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        $.post('openstk_pack_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(focusFld).focus();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }

});